## Apemanfile Configurations

 + [$pkg](#apdoc-pkg)
 + [$proto](#apdoc-proto)
 + [$tmpls](#apdoc-tmpls)
 + [$tasks](#apdoc-tasks)
 + [$needs](#apdoc-needs)

<a name="apdoc-pkg"></a>
### $pkg

| Name | Value |
| --- | ---- |
| name | apeman-proto-lemn |
| version | 2.0.1 |
| description | Prototype type project for LEMN (Linux, NGINX, MySQL &amp; Node) |

<a name="apdoc-proto"></a>
### $proto

+ [apeman-proto-nginx](https://github.com/apeman-proto-labo/apeman-proto-nginx#readme)
+ [apeman-proto-node](https://github.com/apeman-proto-labo/apeman-proto-node#readme)
+ [apeman-proto-mysql](https://github.com/apeman-proto-labo/apeman-proto-mysql#readme)
+ [apeman-proto-abstract](https://github.com/apeman-proto-labo/apeman-proto-abstract#readme)

<a name="apdoc-tmpls"></a>
### $tmpls

| Path | Force | Mode | Tmpl | Data |
| ----  | ---- | ---- | --- | --- |
| **bin/mysql/.js.bud** | false | '644' | `#!/usr/bin/env node		/**	 * Bud file ...` | {"year":2016,"params":{"type":"bin-my... |
| **bin/nginx/.js.bud** | false | '644' | `#!/usr/bin/env node		/**	 * Bud file ...` | {"year":2016,"params":{"type":"bin-ng... |
| **bin/node/.js.bud** | false | '644' | `#!/usr/bin/env node		/**	 * Bud file ...` | {"year":2016,"params":{"type":"bin-no... |
| **infr/mysql/Dockerfile** | false | '644' | `# Dockerfile for mysql	#	# Generated ...` | {"params":{"type":"mysql"},"generator... |
| **infr/nginx/Dockerfile** | false | '644' | `# Dockerfile for nginx	#	# Generated ...` | {"params":{"type":"nginx"},"generator... |
| **infr/nginx/nginx.conf** | false | '644' | `# Nginx configuration file	#	# Genera...` | {"params":{"type":"nginx"},"generator... |
| **infr/nginx/sites/.site.bud** | false | '644' | `#!/usr/bin/env node		/**	 * Bud file ...` | {"year":2016,"params":{"type":"nginx-... |
| **infr/nginx/start_nginx.sh** | false | '755' | `#!/bin/bash	#	# Try to start nginx un...` | {"params":{"type":"start"},"generator... |
| **infr/node/.package.json.bud** | false | '644' | `#!/usr/bin/env node		/**	 * Bud file ...` | {"year":2016,"params":{"type":"node-c... |
| **infr/node/Dockerfile** | false | '644' | `# Dockerfile for node.js	#	# Generate...` | {"params":{"type":"node"},"generator"... |

<a name="apdoc-tasks"></a>
### $tasks

| Name | Description |
| ----  | --- |
| **lemn:chmod** | Change permissions for NGINX, MySQL, Node.js |
| **lemn:mkdir** | Make directories for NGINX, MySQL, Node.js |
| **lemn:render** | Render bud files for NGINX, MySQL, Node.js |
| **mysql:chmod** | Child file permission with mysql. |
| **mysql:mkdir** | Make directories with mysql. |
| **mysql:render** | Render bud files. |
| **nginx:chmod** | Child file permission with nginx. |
| **nginx:crt** | Generate certifications. |
| **nginx:mkdir** | Make directories with nginx. |
| **nginx:render** | Render bud files. |
| **node:chmod** | Child file permission with node. |
| **node:mkdir** | Make directories with node. |
| **node:render** | Render bud files. |

<a name="apdoc-needs"></a>
### $needs

| Bin | How to install |
| --- | ----- |
| **apeman** | `npm install -g apeman` |

